org.apache.maven.scm.provider.cvslib.command.export

## Class AbstractCvsExportCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.export.AbstractExportCommand
    - - org.apache.maven.scm.provider.cvslib.command.export.AbstractCvsExportCommand

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    CvsExeExportCommand, CvsJavaExportCommand

      public abstract class AbstractCvsExportCommand
      extends AbstractExportCommand

  Version:
    $Id: AbstractCvsExportCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsExportCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract ExportScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
    `protected ExportScmResult` | `executeExportCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version, String outputDirectory)`

    - ### Methods inherited from class org.apache.maven.scm.command.export.AbstractExportCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCvsExportCommand

          public AbstractCvsExportCommand()

  - ### Method Detail

    - #### executeExportCommand

          protected ExportScmResult executeExportCommand(ScmProviderRepository repo,
                                             ScmFileSet fileSet,
                                             ScmVersion version,
                                             String outputDirectory)
                                                  throws ScmException

      Specified by:
        `executeExportCommand` in class `AbstractExportCommand`
      Throws:
        `ScmException`

    - #### executeCvsCommand

          protected abstract ExportScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                        throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.